% CASA book figure 1.6
%
% Guy Brown, University of Sheffield 
%
% This software is provided "as is" without warranty of any kind

addpath(fullfile('..','library'));

close all;

fs=20000;
fftsize=2048;
imp=zeros(1,fs);imp(1)=100;

cf=MakeErbCFs(100,4000,8);

for i=1:length(cf),
bm(i,:)=gammatone(imp,fs,cf(i));
h(i,:)=20*log10(abs(fft(bm(i,1:fftsize))));
h(i,:)=h(i,:)-max(h(i,:));
bm(i,:)=bm(i,:)/max(bm(i,:));
bm(i,:)=bm(i,:)+i*2.25;
end

timems=(0:fs-1)*1000/fs;
freqscale=(0:fftsize-1)/fftsize*fs;

figure;
plot(freqscale(1:fftsize/2),h(:,1:fftsize/2),'k');
axis([0 5000 -60 0]);
axis square;
set(gca,'fontname','helvetica','fontsize',8);
xlabel('Frequency [Hz]','fontname','helvetica','fontsize',10);
ylabel('Magnitude gain [dB]','fontname','helvetica','fontsize',10);
set(gcf,'position',[100 100 500 500]);

figure; 
plot(timems(1:1000),bm(:,1:1000),'k');
set(gca,'ytick',[1:8]*2.25);
set(gca,'yticklabel',round(cf));
axis square;
set(gca,'fontname','helvetica','fontsize',8);
xlabel('Time [ms]','fontname','helvetica','fontsize',10);
ylabel('Channel center frequency [Hz]','fontname','helvetica','fontsize',10);
set(gcf,'position',[100 100 500 500]);


