% CASA book left panel of figure 1.7

close all;

fs=16000;
cf=1000;

% input is a 500 Hz tone, 60 dB, 25 ms duration


inp=[zeros(1,320) tone(1000,60,50,0,fs) zeros(1,480)]; 

bm=gammatone(inp,fs,cf);  
an=meddis(bm,fs);


% plot auditory nerve response


figure; 
plot(bm);
set(gca,'fontname','helvetica','fontsize',8);
set(gca,'xtick',[1 160:160:1600],'fontname','helvetica','fontsize',8);
set(gca,'xticklabel',[0:10:100],'fontname','helvetica','fontsize',8);
xlabel('Time [ms]','fontname','helvetica','fontsize',10);
ylabel('Amplitude','fontname','helvetica','fontsize',10);
axis([1 1600 -1000 1000]);
set(gca,'ytick',[-900 0 900],'fontname','helvetica','fontsize',8);
set(gcf,'position',[100 100 500 150]);


figure;
plot(an);
axis([1 1600 0 550]);
set(gca,'fontname','helvetica','fontsize',8);
set(gca,'xtick',[1 160:160:1600],'fontname','helvetica','fontsize',8);
%set(gca,'xticklabel',[0:10:100],'fontname','helvetica','fontsize',10);
set(gca,'xticklabel',[]);
%xlabel('Time [ms]','fontname','helvetica','fontsize',8);
ylabel('Firing rate (spikes/sec)','fontname','helvetica','fontsize',10);
set(gca,'ytick',[0 100:100:500]);
set(gcf,'position',[100 100 500 500]);

