% CASA book right panel of fig 1.7

clear;
close all;

fs=10000; %Hz
lowcf=100; %Hz
highcf=4500; %Hz
numchans=32;

load er.zero.sig

x=er;

n=length(x);

bm=gammatonebank(x',lowcf,highcf,numchans,fs);
cfs=round(MakeErbCFs(lowcf,highcf,numchans));

% do the meddis stuff

for chan=1:numchans,
    med(chan,:)=meddis(bm(chan,:),fs);
end

figure; waveplot(med(:,1701:end),10);
axis tight square;
box on;
xidx=[1 50:50:300];
set(gca,'xtick',xidx);
set(gca,'xticklabel',{'0' '5' '10' '15' '20' '25' '30'},'fontname','helvetica','fontsize',8);
set(gca,'ytick',[1 10.3*[8:8:32]]);
set(gca,'yticklabel',cfs([1 8:8:32]),'fontname','helvetica','fontsize',8);
xlabel('Time [ms]', 'fontname','helvetica','fontsize',10);
ylabel('Frequency [Hz]','fontname','helvetica','fontsize',10);
set(gcf,'position',[100 100 500 500]);
