% CASA book left panel of figure 1.9
%
% Guy Brown, University of Sheffield 
%
% This software is provided "as is" without warranty of any kind

clear;
close all;

fs=10000; %Hz
lowcf=100; %Hz
highcf=4500; %Hz
numchans=32;

load er.zero.sig

x=er;

n=length(x);

bm=gammatonebank(x',lowcf,highcf,numchans,fs);
cfs=round(MakeErbCFs(lowcf,highcf,numchans));

% do the meddis stuff

for chan=1:numchans,
    med(chan,:)=meddis(bm(chan,:),fs);
end

acf=correlogram(med(:,1501:end));
figure; waveplot(acf,5,1);
axis tight square
box on;
xidx=[1 50:50:250];
set(gca,'xtick',xidx);
set(gca,'xticklabel',{'0' '5' '10' '15' '20' '25'},'fontname','helvetica','fontsize',8);
set(gca,'ytick',[1 10.7*[8:8:32]]);
set(gca,'yticklabel',cfs([1 8:8:32]),'fontname','helvetica','fontsize',8);
xlabel('Autocorrelation lag [ms]', 'fontname','helvetica','fontsize',10);
ylabel('Frequency [Hz]','fontname','helvetica','fontsize',10);
set(gcf,'position',[100 100 500 500]);

s=sum(acf);
figure; plot(s,'k'); axis tight; box on;
xidx=[1 50:50:250];
set(gca,'xtick',xidx);
set(gca,'xticklabel',{'0' '5' '10' '15' '20' '25'},'fontname','helvetica','fontsize',8);
xlabel('Autocorrelation lag [ms]', 'fontname','helvetica','fontsize',10);
ylabel('Amplitude','fontname','helvetica','fontsize',10);
set(gca,'ytick',[min(s) max(s)]);
set(gca,'yticklabel',[0 1],'fontname','helvetica','fontsize',8);
set(gcf,'position',[100 100 500 100]);