% CASA book right panel of figure 1.9
%
% Guy Brown, University of Sheffield 
%
% This software is provided "as is" without warranty of any kind

clear;
close all;

fs=10000; %Hz
lowcf=100; %Hz
highcf=4500; %Hz
numchans=32;

load er.zero.sig

x=er;

n=length(x);

x=resample(x,4,1); % needs signal processing toolbox

bm=gammatonebank(x',lowcf,highcf,numchans,fs*4);
cfs=round(MakeErbCFs(lowcf,highcf,numchans));

% do the meddis stuff

for chan=1:numchans,
    medup(chan,:)=meddis(bm(chan,:),fs*4);
end

ccf=crossCorrelogram([zeros(32,10) medup(:,1501*4:end-10)],medup(:,1501*4:end),40);
figure; waveplot(ccf,15,1); axis tight square; box on; axis([1 81 60 410]);
xidx=[1:10:81];
set(gca,'xtick',xidx);
set(gca,'xticklabel',{'-1.0' '-0.75' '-0.5' '-0.25' '0' '0.25' '0.5' '0.75' '1.0'},'fontname','helvetica','fontsize',8);
set(gca,'ytick',linspace(60,410,5));
set(gca,'yticklabel',cfs([1 8:8:32]),'fontname','helvetica','fontsize',8);
xlabel('Interaural time difference [ms]', 'fontname','helvetica','fontsize',10);
ylabel('Frequency [Hz]','fontname','helvetica','fontsize',10);
box on;
set(gcf,'position',[100 100 500 500]);

sc=sum(ccf);
figure; plot(sc,'k'); axis tight; box on; 
xidx=[1:10:81];
set(gca,'xtick',xidx);
set(gca,'xticklabel',{'-1.0' '-0.75' '-0.5' '-0.25' '0' '0.25' '0.5' '0.75' '1.0'},'fontname','helvetica','fontsize',8);
xlabel('Interaural time difference [ms]', 'fontname','helvetica','fontsize',10);
ylabel('Amplitude','fontname','helvetica','fontsize',10);
set(gca,'ytick',[min(sc) max(sc)]);
set(gca,'yticklabel',[0 1],'fontname','helvetica','fontsize',8);
set(gcf,'position',[100 100 500 100]);

