% cfs = MakeErbCFs(mincf,maxcf,numchans)
%
% Make a series of center frequenies equally spaced in ERB-rate
%
% Guy Brown, University of Sheffield 
% Adapted from code written by Martin Cooke
%
% This software is provided "as is" without warranty of any kind
%
% Inputs:
% mincf    : lowest frequency (Hz)
% maxcf    : highest frequency (Hz)
% nunchans : number of channels
%
% Outputs:
% cfs      : center frequencies (Hz)

function cfs = MakeErbCFs(mincf,maxcf,numchans)
cfs = ErbRateToHz(linspace(HzToErbRate(mincf),HzToErbRate(maxcf),numchans));
