% --------------------------------------------
% ccg = crossCorrelogram(left,right,maxlag)
% --------------------------------------------
% implements cross-correlation using "fast correlation"
% left : left matrix of auditory nerve activity
% right : right matrix of auditory nerve activity
% maxlag : the maximum cross-correlation lag (in samples)
% ccg : the cross-correlogram, which has 1+2*maxlag columns
% GJB 25/9/99


function ccg=crossCorrelogram(left,right,maxlag)
[r,c]=size(left);
ccg=real(ifft(conj(fft([right zeros(r,maxlag)]')).*fft([zeros(r,maxlag) left]')))';
ccg=ccg(:,1:2*maxlag+1);
