function x=tone(freq,db,ms,ramp,fs)

% x = tone(freq,db,ms,ramp,fs)
% 
% creates a pure tone with onset and offset ramp
% freq : tone frequency (Hz)
% db   : tone level (dB)
% ms   : tone duration (ms)
% ramp : ramp duration (ms)
% fs   : sample rate (Hz)
% x    : the pure tone

ramp=min(ramp,ms/2);
sdur=round(msToSamples(ms,fs));
rdur=round(msToSamples(ramp,fs));
r=ones(1,sdur);
r(1:rdur)=linspace(0,1,rdur);
r((sdur-rdur+1):sdur)=fliplr(r(1:rdur));
r=r.*db2amp(db);
x=r.*sin(2*pi*(freq/fs)*(0:sdur-1));


